# std_silent class

(Shortest import: `from brian2 import std_silent)`

class brian2.utils.logger.std_silent(alwaysprint=False)

  Bases: `object`

  Context manager that temporarily silences stdout and stderr but keeps the output saved in a temporary file and writes it if an exception is raised.

  Attributes

  `dest_stderr` |
  `dest_stdout` |

  Methods

  `close`() |

  Details

  dest_stderr = None
  dest_stdout = None
  classmethod close()